Zur Startseite

Falcon - Requirements

Falcon 5.x requirements

The following characteristics are the minimum hardware and software requirements in order to work with Falcon 5.x:

Operating Systems Hardware (minimum requeriments) KNX Network Interface

Microsoft Windows XP SP3 (x32)

Microsoft Windows 7 SP1 (x32/x64)

Microsoft Windows 8/ 8.1 (x32/x64)

Microsoft Windows 10 x32/x64

Microsoft Server 2008 R2 SP1 (x64/x64)

Microsoft Server 2012 x64

 

 

CPU: ≥  1.5 GHz
RAM: ≥  2 GB
HDD: ≥  1 GB

 

 

  • USB
  • IP

Development Environment

The .NET Framework 4.0 (or higher) must be installed. This might come along with the setup of the development environment. See Development environment section if this step can be skipped.

Development Environment

A development environment that supports development of .NET Framework 4.0 (or higher) DLL's is required. Examples of development environments are: Microsoft Visual Studio.

  1. Microsoft Visual Studio 2010 (or higher): No further pre-requisites on development environment are necessary. Further information about Microsoft Visual Studio versions and its pre-requisites can be found here .
  2. Microsoft Visual Studio 2010 (or higher) Express Edition: No further pre-requisites on development environment are necessary. Further information about Microsoft Visual Studio versions and its pre-requisites can be found here .

A release of Falcon with above mentioned operating systems in a virtual environment (such as Virtual PC®; VM Ware®) is not foreseen. On these systems you work is on your own risk. Warranty and support will not be given by KNX Association here.

Falcon 2.x requirements

The following characteristics are the minimum hardware and software requirements in order to work with Falcon:

Operating Systems Hardware (minimum requeriments) KNX Network Interface

Windows Vista; SP2 (x32/x64)

Windows 7 (x32/x64)

Windows Server 2003;
SP2 (x32/x64)

Windows Server 2008;
SP2 (x32/x64)

Windows Server 2008 R2;
SP1 (x32/x64)

CPU: ≥  1.5 GHz
RAM: ≥  1 GB
HDD: ≥  1 GB

  • RS232 (not on x64; not on server OS)
  • USB
  • IP

Development Environment

COM-compatible (such as VC++, VBasic, JavaScript, VBScript, php,...)

A release of Falcon with above mentioned operating systems in a virtual environment (such as Virtual PC®; VM Ware®) is not foreseen. On these systems you work is on your own risk. Warranty and support will not given by KNX Association here.